Skip to main content
GET
/
deposit-addresses
/
{depositAddress}
/
{depositChain}
/
public-status
Please use the identical endpoint under https://api.rhino.fi/sda. The sda endpoints here exist only for backwards compatibility and will be removed in the future. If you use the SDK, please upgrade to the latest version which uses the correct endpoint.
curl --request GET \
  --url https://api.rhino.fi/bridge/deposit-addresses/{depositAddress}/{depositChain}/public-status \
  --header 'Authorization: Bearer <token>'
{
  "depositAddress": "<string>",
  "depositChain": "<string>",
  "destinationChain": "<string>",
  "destinationAddress": "<string>",
  "lastBridges": [
    {
      "depositTxHash": "<string>",
      "depositTxTimestamp": "<string>",
      "tokenSymbol": "<string>",
      "depositAmount": "<string>",
      "sender": "<string>",
      "status": {
        "_tag": "REJECTED",
        "reason": "OVER_MAX"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT token for authentication

Path Parameters

depositAddress
string
required
depositChain
string
required

Query Parameters

destinationAddress
string
required

Response

PublicDepositAddressStatusResponse

depositAddress
string
required

The deposit address being queried.

depositChain
string
required

The blockchain network of the deposit address.

destinationChain
string
required

The destination blockchain network for bridged tokens.

destinationAddress
string
required

The destination address for bridged tokens.

lastBridges
object[]
required

Recent bridge transactions for this deposit address.